Bug 619086 - error sending hardware profile when non-xmlrpc-compliant chars are returned by dmidecode
Summary: error sending hardware profile when non-xmlrpc-compliant chars are returned b...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 4.8
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Miroslav Suchý
QA Contact: Petr Sklenar
URL:
Whiteboard:
Keywords: ZStream
Depends On: 579830 619492 619702
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-28 14:28 UTC by RHEL Product and Program Management
Modified: 2011-01-05 06:32 UTC (History)
15 users (show)

Fixed In Version: up2date-4.8.1-33.el4_8.9 rhnlib-2.1.4-14.el4_8.2
Doc Type: Bug Fix
Doc Text:
Previously, the presence of the "\f" character in the Desktop Management Interface (DMI) information or any non-ASCII character in the hardware name rendered the system unable to register to both Red Hat Network (RHN) and Red Hat Network Satellite Server. This error has been fixed, and the system registration now works as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-03 09:00:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0589 normal SHIPPED_LIVE up2date and rhnlib bug fix update 2010-08-03 09:00:02 UTC

Description RHEL Product and Program Management 2010-07-28 14:28:42 UTC
This bug has been copied from bug #579830 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 3 Miroslav Suchý 2010-07-29 08:08:50 UTC
commited as rev. 194795.

Comment 7 Miroslav Suchý 2010-07-29 11:44:06 UTC
indeed I forgot one import
rev. 194801.

Comment 8 Jaromir Hradilek 2010-07-29 12:39:00 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, the presence of the "\f" character in the Desktop Management Interface (DMI) information or any non-ASCII character in the hardware name rendered the system unable to register to both Red Hat Network (RHN) and Red Hat Network Satellite Server. This error has been fixed, and the system registration now works as expected.

Comment 15 errata-xmlrpc 2010-08-03 09:00:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0589.html


Note You need to log in before you can comment on or make changes to this bug.